package database

import (
	"github.com/astaxie/beego"
)

var (
	SQLITE = "sqlite"
	MySQL  = "mysql"
	Alias  = "default"

	DatabaseInstance = beego.AppConfig.String("database")
	UserDB           = beego.AppConfig.String("mysqluser")
	PwdDB            = beego.AppConfig.String("mysqlpass")
	HostDB           = beego.AppConfig.String("mysqlurls")
	DataBase         = beego.AppConfig.String("mysqldb")
	RowLimit         = 4500
)

func init() {
	row_limit, err := beego.AppConfig.Int("row_limit")
	if err == nil {
		RowLimit = row_limit
	}
}
